G2A Many GEOs
SHARE
TWEET

BOA composer install commerce

Juc1 Dec 3rd, 2017 265 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. o1.ftp@barbican:~/static/platforms/commerce-011217$ ls
  2. composer.json
  3. o1.ftp@barbican:~/static/platforms/commerce-011217$ composer install
  4. Could not scan for classes inside "scripts/composer/ScriptHandler.php" which does not appear to be a file nor a folder
  5. Class DrupalProject\composer\ScriptHandler is not autoloadable, can not call pre-update-cmd script
  6. Loading composer repositories with package information                   Updating dependencies (including require-dev)                                                                                                                       Package operations: 121 installs, 0 updates, 0 removals
  7.   - Installing cweagans/composer-patches (1.6.3): Downloading (100%)
  8.   - Installing drupal-composer/drupal-scaffold (2.3.0): Downloading (100%)
  9.   - Installing composer/installers (v1.4.0): Downloading (100%)
  10.   - Installing symfony/yaml (v3.2.14): Downloading (100%)
  11.   - Installing symfony/finder (v3.4.0): Downloading (100%)
  12.   - Installing drupal/console-extend-plugin (0.9.2): Downloading (100%)
  13.   - Installing oomphinc/composer-installers-extender (v1.1.2): Downloading (100%)
  14.   - Installing drupalcommerce/commerce_base (dev-8.x-1.x 241bcf3): Cloning 241bcf336c from cache
  15.   - Installing symfony/css-selector (v3.2.14): Downloading (100%)
  16.   - Installing behat/mink (dev-master 9ea1ceb): Cloning 9ea1cebe3d from cache
  17.   - Installing zendframework/zend-stdlib (3.1.0): Downloading (100%)
  18.   - Installing zendframework/zend-escaper (2.5.2): Downloading (100%)
  19.   - Installing zendframework/zend-feed (2.8.0): Downloading (100%)
  20.   - Installing psr/http-message (1.0.1): Downloading (100%)
  21.   - Installing zendframework/zend-diactoros (1.6.1): Downloading (100%)
  22.   - Installing twig/twig (v1.35.0): Downloading (100%)
  23.   - Installing symfony/polyfill-mbstring (v1.6.0): Downloading (100%)
  24.   - Installing symfony/translation (v3.2.14): Downloading (100%)
  25.   - Installing symfony/validator (v3.2.14): Downloading (100%)
  26.   - Installing symfony/serializer (v3.2.14): Downloading (100%)
  27.   - Installing symfony/routing (v3.2.14): Downloading (100%)
  28.   - Installing paragonie/random_compat (v2.0.11): Downloading (100%)
  29.   - Installing symfony/http-foundation (v3.2.14): Downloading (100%)
  30.   - Installing symfony/psr-http-message-bridge (v1.0.0): Downloading (100%)
  31.   - Installing symfony/process (v3.2.14): Downloading (100%)
  32.   - Installing symfony/polyfill-iconv (v1.6.0): Downloading (100%)
  33.   - Installing symfony/event-dispatcher (v3.2.14): Downloading (100%)
  34.   - Installing psr/log (1.0.2): Downloading (100%)
  35.   - Installing symfony/debug (v3.4.0): Downloading (100%)
  36.   - Installing symfony/http-kernel (v3.2.14): Downloading (100%)
  37.   - Installing symfony/dependency-injection (v3.2.14): Downloading (100%)
  38.   - Installing symfony/console (v3.2.14): Downloading (100%)
  39.   - Installing symfony/class-loader (v3.2.14): Downloading (100%)
  40.   - Installing symfony-cmf/routing (1.4.1): Downloading (100%)
  41.   - Installing stack/builder (v1.0.5): Downloading (100%)
  42.   - Installing masterminds/html5 (2.3.0): Downloading (100%)
  43.   - Installing guzzlehttp/psr7 (1.4.2): Downloading (100%)
  44.   - Installing guzzlehttp/promises (v1.3.1): Downloading (100%)
  45.   - Installing guzzlehttp/guzzle (6.3.0): Downloading (100%)
  46.   - Installing doctrine/lexer (v1.0.1): Downloading (100%)
  47.   - Installing egulias/email-validator (1.2.14): Downloading (100%)
  48.   - Installing easyrdf/easyrdf (0.9.1): Downloading (100%)
  49.   - Installing doctrine/inflector (v1.1.0): Downloading (100%)
  50.   - Installing doctrine/collections (v1.4.0): Downloading (100%)
  51.   - Installing doctrine/cache (v1.6.2): Downloading (100%)
  52.   - Installing doctrine/annotations (v1.4.0): Downloading (100%)
  53.   - Installing doctrine/common (v2.7.3): Downloading (100%)
  54.   - Installing composer/semver (1.4.2): Downloading (100%)
  55.   - Installing asm89/stack-cors (1.1.0): Downloading (100%)
  56.   - Installing drupal/core (8.4.2): Downloading (100%)
  57.   - Installing symfony/polyfill-apcu (v1.6.0): Downloading (100%)
  58.   - Installing drupal/admin_toolbar (1.21.0): Downloading (100%)
  59.   - Installing psr/simple-cache (1.0.0): Downloading (100%)
  60.   - Installing psr/cache (1.0.1): Downloading (100%)
  61.   - Installing symfony/cache (v3.4.0): Downloading (100%)
  62.   - Installing symfony/expression-language (v3.4.0): Downloading (100%)
  63.   - Installing symfony/dom-crawler (v3.4.0): Downloading (100%)
  64.   - Installing jakub-onderka/php-console-color (0.1): Downloading (100%)
  65.   - Installing jakub-onderka/php-console-highlighter (v0.3.2): Downloading (100%)
  66.   - Installing dnoegel/php-xdg-base-dir (0.1): Downloading (100%)
  67.   - Installing nikic/php-parser (v3.1.2): Downloading (100%)
  68.   - Installing symfony/var-dumper (v3.4.0): Downloading (100%)
  69.   - Installing psy/psysh (v0.8.15): Downloading (100%)
  70.   - Installing gabordemooij/redbean (v4.3.4): Downloading (100%)
  71.   - Installing vlucas/phpdotenv (v2.4.0): Downloading (100%)
  72.   - Installing drupal/console-dotenv (0.3.0): Downloading (100%)
  73.   - Installing webmozart/assert (1.2.0): Downloading (100%)
  74.   - Installing webmozart/path-util (2.3.0): Downloading (100%)
  75.   - Installing webflo/drupal-finder (1.1.0): Downloading (100%)
  76.   - Installing symfony/filesystem (v3.4.0): Downloading (100%)
  77.   - Installing symfony/config (v3.2.14): Downloading (100%)
  78.   - Installing stecman/symfony-console-completion (0.7.0): Downloading (100%)
  79.   - Installing drupal/console-en (1.2.0): Downloading (100%)
  80.   - Installing dflydev/placeholder-resolver (v1.0.2): Downloading (100%)
  81.   - Installing dflydev/dot-access-data (v1.1.0): Downloading (100%)
  82.   - Installing dflydev/dot-access-configuration (v1.0.2): Downloading (100%)
  83.   - Installing drupal/console-core (1.2.0): Downloading (100%)
  84.   - Installing alchemy/zippy (0.4.3): Downloading (100%)
  85.   - Installing drupal/console (1.2.0): Downloading (100%)
  86.   - Installing commerceguys/intl (v0.7.4): Downloading (100%)
  87.   - Installing drupal/state_machine (1.0.0-beta3): Downloading (100%)
  88.   - Installing drupal/entity (1.0.0-beta1): Downloading (100%)
  89.   - Installing drupal/profile (1.0.0-rc1): Downloading (100%)
  90.   - Installing drupal/entity_reference_revisions (1.3.0): Downloading (100%)
  91.   - Installing drupal/inline_entity_form (1.0.0-beta1): Downloading (100%)
  92.   - Installing commerceguys/enum (v1.0): Downloading (100%)
  93.   - Installing commerceguys/addressing (v1.0.0-beta3): Downloading (100%)
  94.   - Installing drupal/address (1.3.0): Downloading (100%)
  95.   - Installing drupal/commerce (2.1.0): Downloading (100%)
  96.   - Installing drupal/search_api (1.5.0): Downloading (100%)
  97.   - Installing html2text/html2text (4.0.1): Downloading (100%)
  98.   - Installing swiftmailer/swiftmailer (v5.4.8): Downloading (100%)
  99.   - Installing drupal/mailsystem (4.1.0): Downloading (100%)
  100.   - Installing drupal/swiftmailer (1.0.0-beta1): Downloading (100%)
  101.   - Installing drupal/token (1.0.0): Downloading (100%)
  102.   - Installing symfony/browser-kit (v3.4.0): Downloading (100%)
  103.   - Installing fabpot/goutte (v3.2.2): Downloading (100%)
  104.   - Installing behat/mink-browserkit-driver (v1.3.2): Downloading (100%)
  105.   - Installing behat/mink-goutte-driver (v1.2.1): Downloading (100%)
  106.   - Installing jcalderonzumba/gastonjs (v1.0.3): Downloading (100%)
  107.   - Installing jcalderonzumba/mink-phantomjs-driver (v0.3.3): Downloading (100%)
  108.   - Installing mikey179/vfsstream (v1.6.5): Downloading (100%)
  109.   - Installing sebastian/version (1.0.6): Downloading (100%)
  110.   - Installing sebastian/global-state (1.1.1): Downloading (100%)
  111.   - Installing sebastian/recursion-context (1.0.5): Downloading (100%)
  112.   - Installing sebastian/exporter (1.2.2): Downloading (100%)
  113.   - Installing sebastian/environment (1.3.8): Downloading (100%)
  114.   - Installing sebastian/diff (1.4.3): Downloading (100%)
  115.   - Installing sebastian/comparator (1.2.4): Downloading (100%)
  116.   - Installing doctrine/instantiator (1.0.5): Downloading (100%)
  117.   - Installing phpunit/php-text-template (1.2.1): Downloading (100%)
  118.   - Installing phpunit/phpunit-mock-objects (2.3.8): Downloading (100%)
  119.   - Installing phpunit/php-timer (1.0.9): Downloading (100%)
  120.   - Installing phpunit/php-file-iterator (1.4.5): Downloading (100%)
  121.   - Installing phpunit/php-token-stream (1.4.11): Downloading (100%)
  122.   - Installing phpunit/php-code-coverage (2.2.4): Downloading (100%)
  123.   - Installing phpdocumentor/reflection-common (1.0.1): Downloading (100%)
  124.   - Installing phpdocumentor/type-resolver (0.4.0): Downloading (100%)
  125.   - Installing phpdocumentor/reflection-docblock (3.3.2): Downloading (100%)
  126.   - Installing phpspec/prophecy (1.7.3): Downloading (100%)
  127.   - Installing phpunit/phpunit (4.8.36): Downloading (100%)
  128. behat/mink suggests installing behat/mink-selenium2-driver (slow, but JS-enabled driver for any app (requires Selenium2))
  129. behat/mink suggests installing behat/mink-zombie-driver (fast and JS-enabled headless driver for any app (requires node.js))
  130. zendframework/zend-feed suggests installing zendframework/zend-cache (Zend\Cache component, for optionally caching feeds betwee                                                                                                              n requests)
  131. zendframework/zend-feed suggests installing zendframework/zend-db (Zend\Db component, for use with PubSubHubbub)
  132. zendframework/zend-feed suggests installing zendframework/zend-http (Zend\Http for PubSubHubbub, and optionally for use with Ze                                                                                                              nd\Feed\Reader)
  133. zendframework/zend-feed suggests installing zendframework/zend-servicemanager (Zend\ServiceManager component, for easily extend                                                                                                              ing ExtensionManager implementations)
  134. zendframework/zend-feed suggests installing zendframework/zend-validator (Zend\Validator component, for validating email addres                                                                                                              ses used in Atom feeds and entries ehen using the Writer subcomponent)
  135. symfony/validator suggests installing symfony/intl ()
  136. symfony/serializer suggests installing symfony/property-info (To deserialize relations.)
  137. symfony/serializer suggests installing symfony/property-access (For using the ObjectNormalizer.)
  138. paragonie/random_compat suggests installing ext-libsodium (Provides a modern crypto API that can be used to generate random byt                                                                                                              es.)
  139. symfony/dependency-injection suggests installing symfony/proxy-manager-bridge (Generate service proxies to lazy load them)
  140. easyrdf/easyrdf suggests installing ml/json-ld (~1.0)
  141. symfony/var-dumper suggests installing ext-intl (To show region name in time zone dump)
  142. symfony/var-dumper suggests installing ext-symfony_debug ()
  143. psy/psysh suggests installing ext-readline (Enables support for arrow-key history navigation, and showing and manipulating comm                                                                                                              and history.)
  144. psy/psysh suggests installing ext-pdo-sqlite (The doc command requires SQLite to work.)
  145. psy/psysh suggests installing hoa/console (A pure PHP readline implementation. You'll want this if your PHP install doesn't alr                                                                                                              eady support readline or libedit.)
  146. alchemy/zippy suggests installing guzzle/guzzle (To use the GuzzleTeleporter with Guzzle 3)
  147. commerceguys/addressing suggests installing symfony/intl (to use it as the source of country data)
  148. sebastian/global-state suggests installing ext-uopz (*)
  149. phpunit/php-code-coverage suggests installing ext-xdebug (>=2.2.1)
  150. phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
  151. Writing lock file
  152. Generating autoload files
  153.  
  154.  
  155.   [RuntimeException]
  156.   Could not scan for classes inside "scripts/composer/ScriptHandler.php" which does not appear to be a file nor a folder
  157.  
  158.  
  159. install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
  160.  
  161. o1.ftp@barbican:~/static/platforms/commerce-011217$ exit
  162. logout
  163. barbican:~# chmod -R 775 /data/disk/o1/static//platforms/commerce-011217
  164. barbican:~# cd /data/disk/o1/static//platforms/commerce-011217
  165. barbican:/data/disk/o1/static/platforms/commerce-011217# ls
  166. bin/  composer.json*  composer.lock*  core/  modules/  profiles/  vendor/
  167. barbican:/data/disk/o1/static/platforms/commerce-011217# cat composer.json
  168. {
  169.     "name": "drupalcommerce/project-base",
  170.     "description": "Commerce 2.x project template",
  171.     "type": "project",
  172.     "license": "GPL-2.0+",
  173.     "authors": [
  174.         {
  175.             "name": "",
  176.             "role": ""
  177.         }
  178.     ],
  179.     "repositories": {
  180.         "drupal": {
  181.             "type": "composer",
  182.             "url": "https://packages.drupal.org/8"
  183.         },
  184.         "commerce_base": {
  185.             "type": "vcs",
  186.             "url": "https://github.com/drupalcommerce/commerce_base"
  187.         },
  188.         "asset-packagist": {
  189.             "type": "composer",
  190.             "url": "https://asset-packagist.org"
  191.         }
  192.     },
  193.     "config": {
  194.       "bin-dir": "bin",
  195.       "sort-packages": true
  196.     },
  197.     "require": {
  198.         "ext-curl": "*",
  199.         "composer/installers": "^1.2",
  200.         "cweagans/composer-patches": "^1.6",
  201.         "drupal-composer/drupal-scaffold": "^2.2",
  202.         "drupal/admin_toolbar": "~1.0",
  203.         "drupal/console": "~1.0",
  204.         "drupal/core": "~8.4",
  205.         "drupal/commerce": "~2.0",
  206.         "drupal/search_api": "~1.0",
  207.         "drupal/swiftmailer": "~1.0",
  208.         "drupal/token": "~1.0",
  209.         "drupalcommerce/commerce_base": "dev-8.x-1.x",
  210.         "oomphinc/composer-installers-extender": "^1.1",
  211.         "webflo/drupal-finder": "^1.0",
  212.         "webmozart/path-util": "^2.3"
  213.     },
  214.     "require-dev": {
  215.         "behat/mink": "1.7.x-dev",
  216.         "behat/mink-goutte-driver": "~1.2",
  217.         "jcalderonzumba/gastonjs": "~1.0.2",
  218.         "jcalderonzumba/mink-phantomjs-driver": "~0.3.1",
  219.         "mikey179/vfsstream": "~1.2",
  220.         "phpunit/phpunit": ">=4.8.35 <5",
  221.         "symfony/css-selector": "~3.2.8"
  222.     },
  223.     "conflict": {
  224.         "drupal/drupal": "*"
  225.     },
  226.     "minimum-stability": "dev",
  227.     "prefer-stable": true,
  228.     "autoload": {
  229.         "classmap": [
  230.             "scripts/composer/ScriptHandler.php"
  231.         ]
  232.     },
  233.     "scripts": {
  234.         "drupal-scaffold": "DrupalComposer\\DrupalScaffold\\Plugin::scaffold",
  235.         "pre-install-cmd": [
  236.             "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  237.         ],
  238.         "pre-update-cmd": [
  239.             "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  240.         ],
  241.         "post-install-cmd": [
  242.             "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  243.         ],
  244.         "post-update-cmd": [
  245.             "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  246.         ]
  247.     },
  248.     "extra": {
  249.         "installer-types": [
  250.             "bower-asset",
  251.             "npm-asset"
  252.         ],
  253.         "installer-paths": {
  254.             "core": [
  255.                 "type:drupal-core"
  256.             ],
  257.             "libraries/{$name}": [
  258.                 "type:drupal-library",
  259.                 "type:bower-asset",
  260.                 "type:npm-asset"
  261.             ],
  262.             "modules/contrib/{$name}": [
  263.                 "type:drupal-module"
  264.             ],
  265.             "profiles/contrib/{$name}": [
  266.                 "type:drupal-profile"
  267.             ],
  268.             "themes/contrib/{$name}": [
  269.                 "type:drupal-theme"
  270.             ],
  271.             "drush/contrib/{$name}": [
  272.                 "type:drupal-drush"
  273.             ]
  274.         }
  275.     }
  276. }
  277. barbican:/data/disk/o1/static/platforms/commerce-011217#
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top